<?php
//kaç tane gösterileceğini girin
//gösterilecek sayfa numarasını alma
$page= guvenlik(@$_GET['sayfa']);
//sayfa numarası kontrolü
if(empty($page) || !is_numeric($page)){$page=1;}

 
//toplam kayıt sayısını alma
$SQLl = "SELECT COUNT(*) as Toplam FROM etiketler";
$islem = @mysql_query($SQLl);
$ToplamKayit = mysql_fetch_array($islem);
$count = $ToplamKayit['Toplam'];
$perpage = 10;
$deger = $page*$perpage;
$nedir = $deger-10;
$lastP = ceil(($count / $perpage));

 //kayıtları listeleme işlemi
?>





<? #etiket update ?>

<?  
$idd = @$_GET['id2'];
if (isset($idd)) { 

 ?>
<div class="yanyana">
<h3 class="anabaslik">Etiket düzenleme ve silme sayfası</h3>
<div class="formlar">
<? #etiket sil ?>

<? #etiket düzenleme ?>

<?php

$gelenid = @$_POST["id"]; 
$yeni = @$_POST["yeni"] ;

$sql = "UPDATE etiketler Set etiketler ='$yeni' WHERE id= '$gelenid' ";
$result = mysql_query ($sql) or die (mysql_error());

	if (isset($_POST['submit']))
		{
if ($id2 = "" ) { }

 else if ( mysql_query( $sql ) ) {
	 
      echo '<div class="uyar basarili"><img src="images/icon/basarili.png"><span>Etiket Başarı İle Güncellendi..</span></div>
'; }
  
  else {  
      echo '<div class="uyar error"><img src="images/icon/errors.png"><span>Sorgu Hata verdi...</span></div>';
  }	}
?>



<?php 


$sql4 = "SELECT * FROM etiketler where id = '$idd' ";
$result4 = mysql_query ($sql4) or die (mysql_error());
$goster4 = mysql_fetch_array($result4);?>
<form id="form1" name="form1" method="post" action="">
  <p>
 <label for="textfield"></label>
 
   <div class=""><li class="sol_li">Etiket Düzelt<span>:</span></li><input name="yeni" class="input inp3" value="<?php echo $goster4['etiketler']; ?>"></div>
    
 <input name="id" type="hidden" value="<?php echo $idd; ?>" />
   <div class="yolla">
<input name="submit" type="submit" class="button" value="Kaydet"> 
</div>
  </p>
</form>



<? } ?>






<?php
$sil = @$_GET["sil"]; 
if (isset($_GET['sil']))
		{ ?>
        
        <div class="yanyana">
<h3 class="anabaslik">Etiket düzenleme ve silme sayfası</h3>
<div class="formlar">

<?
$etisql = "DELETE FROM etiketler WHERE id= '$sil' ";
$resultsql = mysql_query ($etisql) or die (mysql_error());

if ($sil == "" ) {
	 }

 else if ( mysql_query( $etisql ) ) {
      echo '<div class="uyar basarili"><img src="images/icon/basarili.png"><span>Gereksiz etiketler başarı ile silindi...</span></div>
';
    
  }
  
  else {  
      echo '<div class="uyar error"><img src="images/icon/errors.png"><span>Sorgu Hata verdi...</span></div>';
  }	}
?>







<? #etiket oluşturma ?>




</div>


</div>

<div class="temizle"></div>
<div class="yanyana">
<h3 class="anabaslik">Etiket Oluştur</h3>
<div class="formlar">



<?php
	extract($_POST);
	if (isset($submit))
	{ 
	
	
	
	if(!$etiketler=="")
		 {
		
	 $db_yaz	= mysql_query("insert into etiketler (etiketler)
		 values('$etiketler')")or die( mysql_error());
		 
		  
		 
		echo '<div class="uyar basarili"><img src="images/icon/basarili.png"><span>Etiket Başarı İle Eklendi</span></div>';}
		
		
		
		else { echo '<div class="uyar error"><img src="images/icon/errors.png"><span>Lütfen boş alan bırakmayınız...</span></div>'; } 
		}
		
				
		

		
		
				
	
?>
<form action="" method="POST" enctype="multipart/form-data">
<div class=""><li class="sol_li">Etiket<span>:</span></li><input name="etiketler" class="input inp5" ></div>


<div class="yolla">
<input name="submit" type="submit" class="button" value="Kaydet"> <input name="Reset" type="reset" class="button" value="Sıfırla"> 
</div>

</form>


<? if (@$_POST['al']==1) {
	
$sqlr = "DELETE FROM etiketler";
$resultr = mysql_query ($sqlr) or die (mysql_error());
	
	
$sorgu = mysql_query("SELECT * FROM videolar ");
 while($bak=mysql_fetch_array($sorgu)) {
 $Etiket2 = $bak['video_adi'];
 
	$keywords = explode(' ',$Etiket2);
	$keywordscount = count($keywords);
				for($i = 0; $i < $keywordscount;$i++)
			
					{
			$key = guvenlik($keywords[$i]);
			
		
			
			mysql_query("insert into etiketler (etiketler)
		 			   values
					  ('$key')")or die( mysql_error());
					  
					  
					$bosluk = " ";
$sql9 = "DELETE FROM etiketler where etiketler = '$bosluk' ";	
mysql_query($sql9) or die (mysql_error());	
			 
}}
			  
					    echo "Etiketler başarı ile eklendi."; }?>
<form action="" method="post"><div class=""><li class="sol_li">Otomatik Etiket Oluşturucu<span>:</span></li> 

<select class="input inp2" name="al">

<option value="1">Çalıştır</option>

</select>

<div class="yolla">
<input name="submit" type="submit" class="button" value="Gönder">
</div></div>




</div>
</div></form>


<div class="yanyana">
<h3 class="anabaslik">Tüm Etiketler</h3> 
<div class="formlar">
<div class="tablo">
<li class="no"><b><input name="checkall" onclick="checkUncheckAll(this);" type="checkbox" /></b></li>
<li class="no"><b>id</b></li>
<li class="durum"><b>Etiketler</b></li>
<li class="islem"><b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;İşlemler</b></li>
<div class="temizle"></div>
</div>
<div class="tablo2">

<? $sql = "SELECT * FROM etiketler Limit $nedir,$perpage ";
$result = mysql_query ($sql) or die (mysql_error());
while ($goster = mysql_fetch_array($result)) {
 {?> 

<div class="satir">
<li class="no"><input type="checkbox" name="option1" ></li>
<li class="no"><?=$goster['id'];?></li>
<li class="baslik"><?=$goster['etiketler'];?></li>

<li class="islem">
<li class="edit"><a href="index.php?olustur=etiket&sayfa=<?=$page;?>&duzelt=etiketduzelt&id2=<?=$goster['id'];?>" class="button icon edit">Düzenle</a></li>
<li class="sil"> <a onclick="return confirm('Etiketi Sil?')" href="index.php?olustur=etiket&sil=<?=$goster['id'];?>&sayfa=<?=$page;?>" class="button icon remove danger">Sil</a></li>
</li>
<div class="temizle"></div>
</div>
<? } }?>

   <?  
  if($count > $perpage) :
  $x = 4;
  $lastP = ceil(($count / $perpage));
  for($i=1; $i>=$page; $i--) {}
   ?>




<div class="sayfala">
<a href="index.php?olustur=etiket&sayfa=<?=$page-1;?>" class="button icon arrowleft danger">Geri</a>

 <?php 

  // sayfa 1'i yazdýr
  if($page==1) echo "<a href=index.php?olustur=etiket&sayfa=1 class=button>1</a>&nbsp;";
  
  else echo "<a href=index.php?olustur=etiket&sayfa=1 class=button>1</a>&nbsp;";
  if($page-$x > 5) {
    echo " <a href=# class=button>...</a>";
    $i = $page-$x;
  } else {
    $i = 2;
  }
  // +/- $x sayfalarý yazdýr
  for($i; $i<=$page+$x; $i++) {
    if($i==$page) 
	echo "<a href=# class=button> $i </a>&nbsp;"; 
    else 
	echo "<a href=index.php?olustur=etiket&sayfa=$i class=button>$i</a> ";
    if($i==$lastP) break;
  }
  // "..." veya son sayfa
  if($page+$x < $lastP-1) {
    echo "<a href=# class=button>...</a>";
    echo " <a href=index.php?olustur=etiket&sayfa=$lastP class=button>$lastP</a>";
  } elseif($page+$x == $lastP-1) {
    echo " <a href=index.php?olustur=etiket&sayfa=$lastP class=button>$lastP</a>";
  }

  endif;
  
    // sonraki sayfa
	
  for($i=1; $i<=$page; $i++) {
    if($i==$lastP)
	 break;
  }
?>

<a href="index.php?olustur=etiket&sayfa=<?=$i;?>" class="button icon arrowright danger">ileri</a>
</div>
<div class="toplam">Sistemde Toplam <b><?=$count?></b> içerik bulunuyor...</div>
</div></div>

</div>



